X2Go Bug report logs - #665
security improvement for x2gobroker

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Date: Thu, 6 Nov 2014 23:55:02 UTC

Severity: wishlist

Tags: pending

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#665: [X2Go-Dev] Bug#665: security improvement for x2gobroker
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 665@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Wed, 01 Apr 2015 15:00:01 +0000
Resent-Message-ID: <handler.665.B665.14279001802255@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 665
X-X2Go-PR-Package: x2gobroker
X-X2Go-PR-Keywords: pending
Received: via spool by 665-submit@bugs.x2go.org id=B665.14279001802255
          (code B ref 665); Wed, 01 Apr 2015 15:00:01 +0000
Received: (at 665) by bugs.x2go.org; 1 Apr 2015 14:56:20 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,URIBL_BLOCKED
	autolearn=ham version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 3F2A15DAD1
	for <665@bugs.x2go.org>; Wed,  1 Apr 2015 16:56:19 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 15DD619FF;
	Wed,  1 Apr 2015 16:56:19 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id CF0CA3BFE1;
	Wed,  1 Apr 2015 16:56:18 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 8HdPsFvGh7xB; Wed,  1 Apr 2015 16:56:17 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id 041BB3C1C8;
	Wed,  1 Apr 2015 16:56:17 +0200 (CEST)
Received: from bifrost.das-netzwerkteam.de (bifrost.das-netzwerkteam.de
 [178.62.101.154]) by mail.das-netzwerkteam.de (Horde Framework) with HTTP;
 Wed, 01 Apr 2015 14:56:16 +0000
Date: Wed, 01 Apr 2015 14:56:16 +0000
Message-ID: <20150401145616.Horde._xIqkyXSMp9TK3X8o_Xu0w9@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 665@bugs.x2go.org
In-Reply-To: <545C085A.2020308@baur-itcs.de>
User-Agent: Internet Messaging Program (IMP) H5 (6.2.2)
Accept-Language: de,en
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 178.62.101.154
X-Remote-Browser: Mozilla/5.0 (X11; Linux x86_64; rv:32.0) Gecko/20100101
 Firefox/32.0 Iceweasel/32.0
Content-Type: multipart/signed; boundary="=_GD9dv_7LSsup_Im5v5xF_w2";
 protocol="application/pgp-signature"; micalg=pgp-sha1
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
Hi Stefan,

On  Fr 07 Nov 2014 00:46:34 CET, Stefan Baur wrote:

> Package: x2gobroker
> Severity: wishlist
>
> Feature Request:
> Save temporary x2goclient_authorized_key to a tmpfs to ensure safe
> removal/destruction of file in case of system crash.
> Note: This may require a SELINUX config change.
>
> (Bug filed on behalf of Mike#1)
>

I looked into this today. This is configurable in  
/etc/x2go/x2gobroker.conf on the broker side and in each X2Go Server's  
/etc/ssh/sshd_config file.

See latest /etc/x2go/x2gobroker.conf for details [1].

Mike

[1]  
http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=etc/x2gobroker.conf;h=11cb0eadb493ceb0976bce53795da73c466eb832;hb=80b1acb82639467ff85737cdfc5500535ad92afc#l130
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Feb 22 10:59:49 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.